Skip to main content
GET
Get bulk bank payment
v1 (legacy). This page documents the API before the v2 update. The v1 format is not enabled for new accounts and must be enabled on your account by your account manager. New integrations should use the current documentation. To update an existing integration, follow the migration guide.

Requirements to consume the endpoint.

User approved

The user must be approved in at least one country.

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

Id of the bulk bank payment

Response

200 - application/json

OK

createdAt
string

The date and time the order was created

Example:

"2025-01-04T02:07:50.765Z"

userId
string

The unique identifier of the user

Example:

"6757546b4c5d19bf3cd7b09c"

orderIds
string[]

List of order IDs associated pending payment

Example:
amount
number

The total amount of the orders

Example:

0

fiat
enum<string>

The type of fiat currency involved in the order

Available options:
USD,
MXN,
PEN,
COP
orderIdsPaid
string[]

List of order IDs that have been paid

Example:
bankName
string

The name of the bank

Example:

"Bank Name"

companyName
string

The name of the company

Example:

"Company Name"

companyAddress
string

The address of the company

Example:

"Company Address"

status
enum<string>

The current status of the bulk bank payment.

Available options:
awaitingPayment,
awaitingAsyncPayment,
awaitingAsyncPayoutForOrders,
awaitingOrders,
complete,
failed,
cancelled,
insufficientAmountReceived,
excessAmountReceived
Example:

"awaitingPayment"

CCI
string

20-digit code used to identify bank accounts, only applies in Peru

Example:

null

CLABE
string

The 18-digit code used to identify bank accounts in Mexico

Example:

"01212345678901"

RFC
string

The tax identification number in Mexico

Example:

"RBL123456789"

RUC
string

Registry containing the identification data of economic activities in Peru

reference
string

The reference for the bulk payment

Example:

"BPaaf32e"

id
string

The unique identifier of the bulk bank payment

Example:

"677897f68f577610fcaaf32e"